\version "2.20.0"

#(begin
  (define url     "haydn.lanfear.me")
  (define fullurl "http://haydn.lanfear.me")
  (if imslp (set! fullurl "https://imslp.org/wiki/User:Tlanfear"))
)
\header {
  composer    = "Franz Joseph Haydn"
  title       = \markup { \caps "Symphony Nº" #(number->string N) }
  subtitle    = \markup \italic \fromproperty #'header:nickname
  subsubtitle = \markup \fromproperty #'header:key
  dedication  = \markup \fromproperty #'header:superscription
  opus        = \markup \concat { "Hob. " \caps "i" ":" #(number->string N) }
  composed    = \markup \fromproperty #'header:date
  cctitle     = \markup \italic { \composer "Symphony Nº" #(number->string N) }
  mylicence   = \markup {
%   \lower #0.1 \epsfile #Y #2 "by-nc.eps"
    \cctitle "is licensed under"
    \with-url "https://creativecommons.org/licenses/by-nc/4.0/" { "CC BY-NC 4.0" }
    "by" \concat { \with-url \fullurl { "Timothy Lanfear" } "." }
  }
  source      = \markup {
    "Transcribed from"
    \italic "Kritische Ausgabe sämtlicher Symphonien"
    "edited by H. C. Robbins Landon et al."
  }
}

\include \licence

\header {
  copyright = \markup { \center-column { \derived \vspace #1.5 \mylicence \source } }
}
